﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabazeParkourovychSpotu
{
    public class Spot
    {
        public int ID { get; set; }
        public string Url { get; set; }
        public string Nazev { get; set; }
        public string Popis { get; set; }
        public string Praha { get; set; }
        public string Adresa { get; set; }
        public string Metro { get; set; }
        public string Bus { get; set; }
        public string Tramvaj { get; set; }
        public string Mapa { get; set; }
        public string Streetview { get; set; }
        public string Panorama { get; set; }
        public string Velikost { get; set; }
        public string Povrch { get; set; }
        public string Typ { get; set; }
        public string Obtiznost { get; set; }
        public float Hodnoceni { get; set; }
        public string Obrazek { get; set; }
        public string Zverejneni { get; set; }
        public string TypSpotu { get; set; }
        public int IdUzivatele { get; set; }

        public Spot(
            int id,
            string url,
            string nazev,
            string popis,
            string praha,
            string adresa,
            string metro,
            string bus,
            string tramvaj,
            string mapa,
            string streetview,
            string panorama,
            string velikost,
            string povrch,
            string typ,
            string obtiznost,
            float hodnoceni,
            string obrazek,
            string zverejneni,
            string typSpotu,
            int idUzivatele
            )
        {
            ID = id;
            Url = url;
            Nazev = nazev;
            Popis = popis;
            Praha = praha;
            Adresa = adresa;
            Metro = metro;
            Bus = bus;
            Tramvaj = tramvaj;
            Mapa = mapa;
            Streetview = streetview;
            Panorama = panorama;
            Velikost = velikost;
            Povrch = povrch;
            Typ = typ;
            Obtiznost = obtiznost;
            Hodnoceni = hodnoceni;
            Obrazek = obrazek;
            Zverejneni = zverejneni;
            TypSpotu = typSpotu;
            IdUzivatele = idUzivatele;
        }

    }
}
